Subject: Re: Loop at starting pid 164, tty '': '/sbin/getty'

From: Olof Johansson <[email-masked]>
Date: Mon, 24 Dec 2007 13:38:00 -0600

Hi,

On Mon, Dec 24, 2007 at 05:20:10PM +0800, ramkumarj Ramkumar wrote:

> I would be very grateful if the following questions could be addressed,
> 
> 1. Does the inittab format changed for Linux 2.6. The old one was from
> mkrootfs (which I think is pretty old). I could see some changes in the
> "respawn" line.

Inittab isn't tied to the kernel, but to the init process. So no, it
should not have changed between 2.4 and 2.6.

> 2. Is it required to run the tty0 along with ttyS0. Is this is mandatory. I
> assumed all these days console and ttyS0 should be sufficient.

tty0 is normally one of the vga consoles. It shouldn't be needed if all
you have is serial.

> 3. A very basic question : What is the clear difference between ttyS0 ( UART
> Driver ), console and tty0. To my understanding, ttyS0 is the first port
> UART 's driver (for 16550/8250) which deals with the hardware as such by
> writing and reading the registers. tty0 is virtual console, something to do
> with telnet sessions. But I dont clearly understand why console and tty0 are
> both required or not. Please correct me if my understanding is wrong.

ttyS<x> are normally 8250-compatible uarts, yes. pts/<x> is remote
connections such as telnet or ssh-based ones. tty<x> are normally the
local vga consoles.

-Olof